We're updating the issue view to help you get more done. 

wkhtmltopdf path in external_applications.conf / wkhtmltopdf compatible version info on wiki

Description

not sure if this was a configuration error on my end?

while setting up a new 1.7.8 server all plug-ins were detected automatically except wkhtmltopdf (installed wkhtmltopdf using apt in ubuntu).

had to change the path in external_applications.conf from

wkhtmltopdf_app = /usr/local/bin/wkhtmltopdf

to

wkhtmltopdf_app = /usr/bin/wkhtmltopdf

also not sure if this note on the 'installling providence' wiki page is still the case with wkhtmlpdf 0.12.4-1 released? "Version 0.12.1 is supported. Do not use version 0.12.2, which has bugs that impede valid formatting of output."

thanks

Environment

ubuntu 18.04

Activity

Show:
User known
May 15, 2019, 8:30 PM

The default paths are educated guesses. Depending upon your chosen OS and how you install wkhtmltopdf the path will change. This is why they're configurable. Versions of wkhtmltopdf after 0.12.2 had a scaling bug that prevented use with CA (and some other applications as well). We're not sure if this has been resolved in wkhtmlpdf 0.12.4-1. Give it a try. If you get properly scaled output (all elemenbts on the page is the right size and positioned correctly relative to one another) then it's resolved.

nobody
May 15, 2019, 10:39 PM

regarding paths, that makes perfect sense...if you all think it would be helpful to others i would be happy to contribute some additional distro-specific install documentation - will follow up by email.

will test this version of wkhtmlpdf when i get a chance and let you know how it goes...

so glad to have found out about collectiveaccess, thanks again

nobody
September 14, 2019, 10:38 PM

finally got a chance to try some pdf exports and they all ended up corrupt/unopenable using wkhtmlpdf 0.12.4-1. working fine with wkhtmlpdf 0.12.1.4, pardon the confusion.

Assignee

User known

Reporter

nobody

Labels

None

Components

Affects versions

Priority

Minor
Configure